Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0006904TestLinkTest Execute - Export Test Planpublic2015-01-24 19:352015-02-07 10:53
ReporterMr.Bricodage 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.12 (2014 Q3) 
Fixed in Version1.9.13 (2015 #1) 
Summary0006904: Export the Execution Order in a TestPlan for each testcase
DescriptionAfter the user has defined "execution order" for each testcase added in a testplan, the execution order is not exported with testplan/testcases information.

The execution order should be present in XML generated files of "Export Test Plan" and "Export for results import" functions.
Steps To ReproduceRequirements, TestCases, Testplan, build are already declared

In "Add / Remove Test cases"
- Select Testcases to add to testplan
- define a execution order for each testcase

In Test Execution
- "Export Test Plan" => download XML file OR "Export for results import" => download XML file OR

In notepad
- read the XML file : execution order is not exported
Additional Informationthis is the "Export Test Plan" XML file content from demo.testlink.org (TestLink 1.9.13 [DEV] (Stormbringer) 20141226)

<?xml version="1.0" encoding="UTF-8"?>


    <testplan>
        <name><![CDATA[21_1_2015_test_project]]></name>
        
    <testproject> <name><![CDATA[New Test Project]]></name> <prefix><![CDATA[001]]></prefix> <internal_id><![CDATA[3325]]></internal_id>
    </testproject>
        
    <build> <name><![CDATA[?23456]]></name> <internal_id><![CDATA[627]]></internal_id>
    </build>
        <testsuites>
    <testsuite name="TestRyhor (automatically generated from req. spec.)" >
        <node_order><![CDATA[0]]></node_order>
        <details><![CDATA[Test Cases in the Test Suite are generated from Requirements. A refinement of test scenario is highly recommended.]]>
        </details>
<testcase internalid="11549" name="Ryhor [1]">
    <node_order><![CDATA[101]]></node_order>
    <externalid><![CDATA[16]]></externalid>
    <version><![CDATA[1]]></version>
    <summary><![CDATA[The Test Case was generated from the assigned requirement javascript:openLinkedReqVersionWindow(11518,11519).
]]></summary>
    <preconditions><![CDATA[]]></preconditions>
    <execution_type><![CDATA[1]]></execution_type>
    <importance><![CDATA[2]]></importance>
    <estimated_exec_duration></estimated_exec_duration>
    <status>1</status>

<custom_fields>
    <custom_field>
        <name><![CDATA[Milestone]]></name>
        <value><![CDATA[]]></value>
    </custom_field>
</custom_fields></testcase>

<testcase internalid="11551" name="Ryhor [2]">
    <node_order><![CDATA[102]]></node_order>
    <externalid><![CDATA[17]]></externalid>
    <version><![CDATA[1]]></version>
    <summary><![CDATA[The Test Case was generated from the assigned requirement javascript:openLinkedReqVersionWindow(11518,11519).
]]></summary>
    <preconditions><![CDATA[]]></preconditions>
    <execution_type><![CDATA[1]]></execution_type>
    <importance><![CDATA[2]]></importance>
    <estimated_exec_duration></estimated_exec_duration>
    <status>1</status>

<custom_fields>
    <custom_field>
        <name><![CDATA[Milestone]]></name>
        <value><![CDATA[]]></value>
    </custom_field>
</custom_fields></testcase>
</testsuite></testsuites>

    </testplan>
TagsNo tags attached.
Database (MySQL,Postgres,etc)Any
BrowserAny
PHP VersionAny
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Files

- Relationships
child of 0006609closedfman Availables hot-fixes for 1.9.12 & How To get full fixed package from gitorious 

-  Notes
(0022547)
fman (administrator)
2015-01-24 19:54

add <exec_order></exec_order>
(0022550)
fman (administrator)
2015-01-25 16:47
edited on: 2015-01-25 17:35

>> The execution order should be present in XML generated files of "Export Test Plan"
OK

>> and "Export for results import" functions.
can you explain why this info is useful on this export?
I'm not able to find any reason.
in any case a different TICKET IS NEEDED

(0022551)
fman (administrator)
2015-01-25 17:39

https://gitorious.org/testlink-ga/testlink-code/commits/94e3b5db502c32313dee08e1a141e78b3222aa6f [^]
(0022554)
Mr.Bricodage (updater)
2015-01-25 20:41

fman, Thanks for your code modification.

My need was to have exec_order in "export Test Plan".
I thank that ordering testcases by "exec_order" after using "Export for results import" could be useful for others. I won't open a different ticket cause I'm not able to provide you a good reason (regarding my needs).

Thanks again.
(0022659)
fman (administrator)
2015-02-07 10:53

1.9.13 released 20150207

- Issue History
Date Modified Username Field Change
2015-01-24 19:35 Mr.Bricodage New Issue
2015-01-24 19:50 fman Assigned To => fman
2015-01-24 19:50 fman Status new => assigned
2015-01-24 19:50 fman QA Team - Task Workflow Status => TBD
2015-01-24 19:54 fman Note Added: 0022547
2015-01-25 16:47 fman Note Added: 0022550
2015-01-25 17:35 fman Note View State: 0022547: public
2015-01-25 17:35 fman Note Edited: 0022550 View Revisions
2015-01-25 17:39 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2015-01-25 17:39 fman Note Added: 0022551
2015-01-25 17:39 fman Status assigned => resolved
2015-01-25 17:39 fman Fixed in Version => 1.9.13 (2015 #1)
2015-01-25 17:39 fman Resolution open => fixed
2015-01-25 17:39 fman Relationship added child of 0006609
2015-01-25 20:41 Mr.Bricodage Note Added: 0022554
2015-02-07 10:53 fman Note Added: 0022659
2015-02-07 10:53 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker